Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problems with jquery-rails [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
Bollart
n00b
n00b


Joined: 30 Oct 2012
Posts: 10

PostPosted: Thu May 29, 2014 5:54 pm    Post subject: Problems with jquery-rails [solved] Reply with quote

Hey,

I want to use jquery-rails and I installed it with portage. However, there seems to be a problem that I do not really understand.

Code:
$ irb19
irb(main):001:0> require 'jquery-rails'
NameError: uninitialized constant Rails
   from /home/user/.gem/ruby/1.9.1/gems/jquery-rails-3.1.0/lib/jquery/rails.rb:1:in `<top (required)>'
   from /usr/lib64/ruby/site_ruby/1.9.1/rubygems/core_ext/kernel_require.rb:58:in `require'
   from /usr/lib64/ruby/site_ruby/1.9.1/rubygems/core_ext/kernel_require.rb:58:in `require'
   from /home/user/.gem/ruby/1.9.1/gems/jquery-rails-3.1.0/lib/jquery-rails.rb:1:in `<top (required)>'
   from /usr/lib64/ruby/site_ruby/1.9.1/rubygems/core_ext/kernel_require.rb:110:in `require'
   from /usr/lib64/ruby/site_ruby/1.9.1/rubygems/core_ext/kernel_require.rb:110:in `rescue in require'
   from /usr/lib64/ruby/site_ruby/1.9.1/rubygems/core_ext/kernel_require.rb:35:in `require'
   from (irb):1
   from /usr/bin/irb19:12:in `<main>'


Some information about the versions:
Code:
$ eix -e jquery-rails
[I] dev-ruby/jquery-rails
     Available versions: 
     (0)    ~1.0.19-r1
     (2)    ~2.2.2 ~2.3.0
     (3)    ~3.0.4 (~)3.1.0
       {test ELIBC="FreeBSD" RUBY_TARGETS="ruby19 ruby20 ruby21"}
     Installed versions:  3.1.0(3)(21:47:34 27.05.2014)(-test ELIBC="-FreeBSD" RUBY_TARGETS="ruby19 ruby20 -ruby21")
     Homepage:            http://www.rubyonrails.org
     Description:         jQuery! For Rails! So great.

$ eix -e ruby
[D] dev-lang/ruby
     Available versions: 
     (1.9)  1.9.3_p484 ~1.9.3_p545 ~1.9.3_p547
     (2.0)  2.0.0_p353 ~2.0.0_p451 ~2.0.0_p481
     (2.1)  ~2.1.1-r1 ~2.1.2
       {berkdb debug doc examples gdbm ipv6 ncurses +rdoc +readline rubytests socks5 ssl tk xemacs +yaml}
     Installed versions:  1.8.7_p374(1.8)(16:54:27 09.11.2013)(berkdb gdbm ipv6 ncurses readline ssl threads tk -debug -doc -examples -libedit -rubytests -socks5 -xemacs) 1.9.3_p484(1.9)(18:58:03 05.01.2014)(berkdb gdbm ipv6 ncurses rdoc readline ssl tk yaml -debug -doc -examples -rubytests -socks5 -xemacs) 2.0.0_p353(2.0)(18:56:00 05.01.2014)(berkdb gdbm ipv6 ncurses rdoc readline ssl tk -debug -doc -examples -rubytests -socks5 -xemacs)
     Homepage:            http://www.ruby-lang.org/
     Description:         An object-oriented scripting language


Last edited by Bollart on Sat Jul 12, 2014 11:08 pm; edited 1 time in total
Back to top
View user's profile Send private message
Bollart
n00b
n00b


Joined: 30 Oct 2012
Posts: 10

PostPosted: Sat Jul 12, 2014 11:07 pm    Post subject: Reply with quote

Ok, that was a stupid one. Of course it goes like this:

Code:
irb(main):001:0> require 'rails'
=> true
irb(main):002:0> require 'jquery-rails'
=> true
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum